[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: fc7 i386, yum and explicit dependencies



On 06/06/07, Denis Leroy <denis poolshark org> wrote:

A similar bug was filed against inkscape :
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=242748

I've just updated that bug, in short it was a clean F7 install from
DVD wiping my old FC6 partition, I did pick and choose packages at
install time quite a bit, here's the yum.log of activity post-install
up to the inkscape problems

Jun 03 17:32:09 Updated: libpurple.i386 2.0.1-1.fc7
Jun 03 17:32:11 Updated: freetype.i386 2.3.4-3.fc7
Jun 03 17:32:28 Updated: firefox.i386 2.0.0.4-1.fc7
Jun 03 17:32:29 Updated: libexif.i386 0.6.15-1.fc7
Jun 03 17:32:32 Updated: libwnck.i386 2.18.2-1.fc7
Jun 03 17:32:52 Updated: yelp.i386 2.18.1-4.fc7
Jun 03 17:33:14 Updated: pidgin.i386 2.0.1-1.fc7

these were first batch of updates after installation

Jun 03 17:37:48 Installed: yumex.noarch 1.9.6-1.0.fc7
Jun 03 17:40:33 Installed: wxGTK.i386 2.8.3-2.fc7
Jun 03 17:41:27 Installed: pgadmin3.i386 1.6.3-1.fc7
Jun 03 18:27:52 Installed: php-pear.noarch 1:1.5.0-3
Jun 03 18:27:59 Installed: php-pear-DB.noarch 1.7.6-7.fc6
Jun 03 18:28:05 Installed: php-pear-MDB2.noarch 2.4.1-1.fc7
Jun 03 21:01:42 Installed: rrdtool.i386 1.2.23-3.fc7
Jun 03 21:01:43 Installed: php-snmp.i386 5.2.2-3
Jun 03 21:01:50 Installed: mysql.i386 5.0.37-2.fc7
Jun 03 21:02:31 Installed: cacti.noarch 0.8.6j-1.fc7
Jun 03 21:04:27 Installed: thunderbird.i386 2.0.0.0-1.fc7
Jun 03 21:11:32 Installed: gnonlin.i386 0.10.8-1.fc7
Jun 03 21:11:33 Installed: ladspa.i386 1.12-8.fc7
Jun 03 21:11:39 Installed: gstreamer-python.i386 0.10.7-2.fc7
Jun 03 21:11:48 Installed: python-setuptools.noarch 0.6c5-1.fc7
Jun 03 21:12:17 Installed: jokosher.noarch 0.9-1.fc7
Jun 03 21:23:46 Installed: tcl.i386 1:8.4.13-16.fc7
Jun 03 21:23:56 Installed: tk.i386 1:8.4.13-5.fc7
Jun 03 21:24:01 Installed: gkrellm.i386 2.2.10-2.fc7
Jun 03 21:24:02 Installed: i8kutils.i386 1.25-11.fc6

this was me picking and choosing a bit more apps

Jun 05 17:10:38 Installed: inkscape.i386 0.45.1-1.fc7

then I wanted inskape, notice it installed none of the deps

Jun 05 17:19:12 Updated: postgresql-libs.i386 8.2.4-1.fc7
Jun 05 17:19:15 Updated: wpa_supplicant.i386 1:0.5.7-3.fc7
Jun 05 17:19:20 Updated: NetworkManager.i386 1:0.6.5-3.fc7
Jun 05 17:19:59 Updated: postgresql.i386 8.2.4-1.fc7
Jun 05 17:20:00 Updated: gpm.i386 1.20.1-84.fc7
Jun 05 17:20:01 Updated: NetworkManager-glib.i386 1:0.6.5-3.fc7
Jun 05 17:20:50 Updated: firefox.i386 2.0.0.4-2.fc7
Jun 05 17:20:58 Updated: NetworkManager-gnome.i386 1:0.6.5-3.fc7
Jun 05 17:21:02 Updated: system-config-nfs.noarch 1.3.25-1.fc7
Jun 05 17:21:06 Updated: yumex.noarch 1.9.7-1.0.fc7
Jun 05 17:21:06 Updated: postgresql-python.i386 8.2.4-1.fc7
Jun 05 17:21:11 Updated: system-config-users.noarch 1.2.58-1.fc7
Jun 05 17:21:42 Updated: postgresql-server.i386 8.2.4-1.fc7

Another batch of upgrades hit the repo so I took them,
it was only at this point I realised inkscape wouldn't run.

Jun 05 17:24:18 Installed: glibmm24.i386 2.12.8-1.fc7
Jun 05 17:25:18 Installed: gtkmm24.i386 2.10.9-1.fc7
Jun 05 17:26:59 Installed: cairomm.i386 1.2.4-1.fc7
Jun 05 17:27:40 Installed: libsigc++.i386 1.2.7-4.fc6
Jun 05 17:28:13 Installed: libsigc++20.i386 2.0.17-2
Jun 05 17:31:44 Installed: gc.i386 6.8-3.fc7

this was me manually installing the deps for inkscape when I realised
it wasn't working

Jun 05 17:47:43 Installed: cdlabelgen.noarch 3.6.0-1.fc6
Jun 05 17:47:52 Installed: glabels.i386 2.0.4-5.fc6
Jun 05 18:06:29 Installed: gutenprint-plugin.i386 5.0.0.99.1-3.fc7

just me trying to print to DVDs on my Epson R300,
which was why I wanted inkscape

Jun 06 14:46:45 Erased: glibmm24
Jun 06 14:46:56 Erased: libsigc++
Jun 06 14:46:56 Erased: gc
Jun 06 14:46:57 Erased: gtkmm24
Jun 06 14:46:57 Erased: cairomm
Jun 06 14:47:00 Erased: inkscape

however, removing inkscapes deps, took inkscape with it

Jun 06 14:58:07 Installed: perl-XML-RegExp.noarch 0.03-2.fc6
Jun 06 14:58:08 Installed: cairomm.i386 1.2.4-1.fc7
Jun 06 14:58:09 Installed: glibmm24.i386 2.12.8-1.fc7
Jun 06 14:58:09 Installed: gtkmm24.i386 2.10.9-1.fc7
Jun 06 14:58:10 Installed: perl-XML-Parser.i386 2.34-6.1.2.2.1
Jun 06 14:58:12 Installed: perl-XML-DOM.noarch 1.44-2.fc6
Jun 06 14:58:13 Installed: libEMF.i386 1.0.3-3.fc7
Jun 06 14:58:14 Installed: perl-DateManip.noarch 5.44-3.fc7
Jun 06 14:58:14 Installed: gc.i386 6.8-3.fc7
Jun 06 14:58:17 Installed: plotutils.i386 2.5-3.fc6
Jun 06 14:58:18 Installed: perl-Parse-Yapp.noarch 1.05-36.fc6
Jun 06 14:58:19 Installed: perl-XML-XQL.noarch 0.68-4.fc7
Jun 06 14:58:20 Installed: ImageMagick-c++.i386 6.3.2.9-3.fc7
Jun 06 14:58:20 Installed: pstoedit.i386 3.44-6.fc7
Jun 06 14:58:22 Installed: ImageMagick-perl.i386 6.3.2.9-3.fc7
Jun 06 14:58:33 Installed: inkscape.i386 0.45.1-1.fc7

and reinstalling inkscape pulled back those deps, and more this time around.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]